var WindowsXP = (function () {
	'use strict';

	var that            = undefined,
		image_timer     = undefined,
		mouse_timer     = undefined,
		first_run       = true,
		image_el        = undefined,
		menu_el         = undefined,
		is_menu_visible = false;

	function WindowsXP(args) {
		that        = this;
		image_el    = document.getElementById('logo');
		menu_el     = document.getElementById('back-to-article');
		image_timer = setInterval(this.updatePosition, 2000);
		mouse_timer = setTimeout(hideMenu, 1000);

		document.onmousemove = function() {
			showMenu();
			clearTimeout(mouse_timer);
			mouse_timer = setTimeout(hideMenu, 1000);
		}

	}

	function hideMenu () {
		if(is_menu_visible === false) {
			return true;
		} else {
			is_menu_visible = false;
			menu_el.className = 'hidden';
		}
	};

	function showMenu() {
		is_menu_visible = true;
		menu_el.className = '';
	}

	WindowsXP.prototype.updatePosition = function(e) {
		var max_x = window.innerWidth - image_el.width,
			max_y = window.innerHeight - image_el.height;

		if(first_run === true) {
			first_run = false;
			image_el.className = '';
		}

		if(window.innerWidth > image_el.width) {
			var new_x = Math.floor(Math.random()*max_x);
		} else {
			var new_x = 0;
		}
		image_el.style.left = new_x + 'px';

		if(window.innerHeight > image_el.height) {
			var new_y = Math.floor(Math.random()*max_y);
		} else {
			var new_y = 0;
		}
		image_el.style.top = new_y + 'px';

		return true;
	};

	return WindowsXP; //Start
})();

window.onload = function() {
	//Handle The Slideshow
	slideshow = new WindowsXP();

	//Hide The Help
	setTimeout(function() {
		document.getElementById('help').className = 'hidden';
	}, 5000);
	
}